'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.toHaveTextContent = toHaveTextContent;

var _jestMatcherUtils = require('jest-matcher-utils');

var _domTestingLibrary = require('dom-testing-library');

var _utils = require('./utils');

function toHaveTextContent(htmlElement, checkWith) {
  var _this = this;

  var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : { normalizeWhitespace: true };

  (0, _utils.checkHtmlElement)(htmlElement, toHaveTextContent, this);

  var textContent = options.normalizeWhitespace ? (0, _domTestingLibrary.getNodeText)(htmlElement).replace(/\s+/g, ' ').trim() : (0, _domTestingLibrary.getNodeText)(htmlElement).replace(/\u00a0/g, ' '); // Replace &nbsp; with normal spaces

  return {
    pass: (0, _utils.matches)(textContent, checkWith),
    message: function message() {
      var to = _this.isNot ? 'not to' : 'to';
      return (0, _utils.getMessage)((0, _jestMatcherUtils.matcherHint)(`${_this.isNot ? '.not' : ''}.toHaveTextContent`, 'element', ''), `Expected element ${to} have text content`, checkWith, 'Received', textContent);
    }
  };
}